Index: trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg	(revision 1084)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg	(revision 1124)
@@ -52,11 +52,11 @@
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
-DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
-DirectRefLayers_3             : 1           # Indices in VPS of direct reference layers 
-
-DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_2             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_3             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0 1         # Indices in VPS of direct reference layers 
+DirectRefLayers_3             : 1 2         # Indices in VPS of direct reference layers 
+
+DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_2             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_3             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 
 #========== Camera parameters ==========
@@ -173,26 +173,26 @@
 
 #========== multiview coding tools ==========
-IvMvPred                            : 1 1              # Inter-view motion prediction
-AdvMultiviewResPred                 : 1                # Advanced inter-view residual prediction (0:off, 1:on)
+IvMvPredFlag                        : 1 1              # Inter-view motion prediction
+IvResPredFlag                       : 1                # Advanced inter-view residual prediction (0:off, 1:on)
 IlluCompEnable                      : 1                # Enable Illumination compensation ( 0: off, 1: on )  (v/d)
 IlluCompLowLatencyEnc               : 0                # Enable low-latency Illumination compensation encoding( 0: off, 1: on )
-ViewSynthesisPred                   : 1                # View synthesis prediction 
-DepthRefinement                     : 1                # Disparity refined by depth DoNBDV
-IvMvScaling                         : 1                # Interview motion vector scaling
-SubPULog2Size                       : 3                # Log2 of sub-PU size for IvMvPred (2...6)
-SubPUMPILog2Size                    : 3	               # Log2 of sub-PU size for MPI (3...6)
-DBBP                                : 1                # Depth-based Block Partitioning
+ViewSynthesisPredFlag               : 1                # View synthesis prediction 
+DepthRefinementFlag                 : 1                # Disparity refined by depth DoNBDV
+IvMvScalingFlag                     : 1                # Interview motion vector scaling
+Log2SubPbSizeMinus3                 : 0                # Log2 of sub-PU size minus 3 for IvMvPred (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+Log2MpiSubPbSizeMinus3              : 3	               # Log2 of sub-PU size for MPI (3...6)
+DepthBasedBlkPartFlag               : 1                # Depth-based Block Partitioning
 
 #========== depth coding tools ==========
 VSO                       : 1                                      # use of view synthesis optimization for depth coding
-DMM                                : 1
-IVP                                : 1                 # use of intra-view prediction mode
-SDC                                : 1
-DLT                                : 1
-QTL                                : 1
-LimQtPredFlag                      : 1
-InterSDC                           : 1                             # use of inter sdc
-MPI                                : 1
-SingleDepthMode                    : 1                 # use of single depth mode
+IntraWedgeFlag                      : 1
+IntraContourFlag                    : 1                 # use of intra-view prediction mode
+IntraSdcFlag                        : 1
+DLT                                 : 1
+QTL                                 : 1
+QtPredFlag                          : 1
+InterSdcFlag                        : 1                             # use of inter sdc
+MpiFlag                             : 1
+IntraSingleFlag                     : 1                 # use of single depth mode
 #========== view synthesis optimization (VSO) ==========
 
Index: trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg	(revision 1084)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg	(revision 1124)
@@ -62,9 +62,9 @@
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
-DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
-DirectRefLayers_3             : 1           # Indices in VPS of direct reference layers 
-DirectRefLayers_4             : 0           # Indices in VPS of direct reference layers 
-DirectRefLayers_5             : 1           # Indices in VPS of direct reference layers 
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0 1         # Indices in VPS of direct reference layers 
+DirectRefLayers_3             : 1 2         # Indices in VPS of direct reference layers 
+DirectRefLayers_4             : 0 1         # Indices in VPS of direct reference layers 
+DirectRefLayers_5             : 1 4         # Indices in VPS of direct reference layers 
 
 DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
@@ -191,26 +191,26 @@
 
 #========== multiview coding tools ==========
-IvMvPred                            : 1 1              # Inter-view motion prediction
-AdvMultiviewResPred                 : 1                # Advanced inter-view residual prediction (0:off, 1:on)
+IvMvPredFlag                        : 1 1              # Inter-view motion prediction
+IvResPredFlag                       : 1                # Advanced inter-view residual prediction (0:off, 1:on)
 IlluCompEnable                      : 1                # Enable Illumination compensation ( 0: off, 1: on )  (v/d)
 IlluCompLowLatencyEnc               : 0                # Enable low-latency Illumination compensation encoding( 0: off, 1: on )
-ViewSynthesisPred                   : 1                # View synthesis prediction 
-DepthRefinement                     : 1                # Disparity refined by depth DoNBDV
-IvMvScaling                         : 1                # Interview motion vector scaling
-SubPULog2Size                       : 3                # Log2 of sub-PU size for IvMvPred (2...6)
-SubPUMPILog2Size                    : 3                # Log2 of sub-PU size for MPI (3...6)
-DBBP                                : 1                # Depth-based Block Partitioning
+ViewSynthesisPredFlag               : 1                # View synthesis prediction 
+DepthRefinementFlag                 : 1                # Disparity refined by depth DoNBDV
+IvMvScalingFlag                     : 1                # Interview motion vector scaling
+Log2SubPbSizeMinus3                 : 0                # Log2 of sub-PU size minus 3 for IvMvPred (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+Log2MpiSubPbSizeMinus3              : 0                # Log2 of sub-PU size minus 3 for MPI (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+DepthBasedBlkPartFlag               : 1                # Depth-based Block Partitioning
 
 #========== depth coding tools ==========
 VSO                       : 1                                      # use of view synthesis optimization for depth coding
-DMM                                : 1
-IVP                                : 1                 # use of intra-view prediction mode
-SDC                                : 1
-DLT                                : 1
-QTL                                : 1
-LimQtPredFlag                      : 1
-InterSDC                           : 1                             # use of inter sdc
-MPI                                : 1
-SingleDepthMode                    : 1                 # use of single depth mode
+IntraWedgeFlag                      : 1
+IntraContourFlag                    : 1                 # use of intra-view prediction mode
+IntraSdcFlag                        : 1
+DLT                                 : 1
+QTL                                 : 1
+QtPredFlag                          : 1
+InterSdcFlag                        : 1                             # use of inter sdc
+MpiFlag                             : 1
+IntraSingleFlag                     : 1                 # use of single depth mode
 #========== view synthesis optimization (VSO) ==========
 VSOConfig                 : [cx0 B(cc1) I(s0.25 s0.5 s0.75)][cx1 B(oo0) B(oo2) I(s0.25 s0.5 s0.75 s1.25 s1.5 s1.75)][cx2 B(cc1) I(s1.25 s1.5 s1.75)] # VSO configuration string
Index: trunk/cfg/3D-HEVC/NonCTC/fco/baseCfg_3view+depth.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/fco/baseCfg_3view+depth.cfg	(revision 1084)
+++ trunk/cfg/3D-HEVC/NonCTC/fco/baseCfg_3view+depth.cfg	(revision 1124)
@@ -62,15 +62,15 @@
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
 DirectRefLayers_2             : 1           # Indices in VPS of direct reference layers 
-DirectRefLayers_3             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_3             : 0 1         # Indices in VPS of direct reference layers 
 DirectRefLayers_4             : 1           # Indices in VPS of direct reference layers 
-DirectRefLayers_5             : 0           # Indices in VPS of direct reference layers 
-
-DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DirectRefLayers_5             : 0 1         # Indices in VPS of direct reference layers 
+
+DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 DependencyTypes_2             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_3             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_3             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 DependencyTypes_4             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_5             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_5             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 
 #========== Camera parameters ==========
@@ -240,24 +240,24 @@
 
 #========== multiview coding tools ==========
-IvMvPred                            : 1                # Inter-view motion prediction
-AdvMultiviewResPred                 : 1                # Advanced inter-view residual prediction (0:off, 1:on)
+IvMvPredFlag                        : 1                # Inter-view motion prediction
+IvResPredFlag                       : 1                # Advanced inter-view residual prediction (0:off, 1:on)
 IlluCompEnable                      : 1                # Enable Illumination compensation ( 0: off, 1: on )  (v/d)
 IlluCompLowLatencyEnc               : 0                # Enable low-latency Illumination compensation encoding( 0: off, 1: on )
-ViewSynthesisPred                   : 1                # View synthesis prediction 
-DepthRefinement                     : 1                # Disparity refined by depth DoNBDV
-IvMvScaling                         : 1                # Interview motion vector scaling
-SubPULog2Size                       : 3                # Log2 of sub-PU size for IvMvPred (2...6)
-SubPUMPILog2Size                    : 3                # Log2 of sub-PU size for MPI (3...6)
-DBBP                                : 1                # Depth-based Block Partitioning
+ViewSynthesisPredFlag               : 1                # View synthesis prediction 
+DepthRefinementFlag                 : 1                # Disparity refined by depth DoNBDV
+IvMvScalingFlag                     : 1                # Interview motion vector scaling
+Log2SubPbSizeMinus3                 : 0                # Log2 of sub-PU size minus 3 for IvMvPred ( MinCbLog2SizeY - 3 ) ... ( CtbLog2SizeY - 3 )
+Log2MpiSubPbSizeMinus3              : 0                # Log2 of sub-PU size minus 3 for MPI (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+DepthBasedBlkPartFlag               : 1                # Depth-based Block Partitioning
 
 #========== depth coding tools ==========
-VSO                                : 1                 # use of view synthesis optimization for depth coding
-DMM                                : 1
-SDC                                : 1
-DLT                                : 1
-QTL                                : 0
-LimQtPredFlag                      : 0
-InterSDC                           : 1                             # use of inter sdc
-MPI                                : 1
+VSO                                 : 1                 # use of view synthesis optimization for depth coding
+IntraWedgeFlag                      : 1
+IntraSdcFlag                        : 1
+DLT                                 : 1
+QTL                                 : 0
+QtPredFlag                          : 0
+InterSdcFlag                        : 1                             # use of inter sdc
+MpiFlag                             : 1
 
 #========== view synthesis optimization (VSO) ==========
Index: trunk/cfg/3D-HEVC/NonCTC/ibp/gopCfg_IBP_3view+depth.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/ibp/gopCfg_IBP_3view+depth.cfg	(revision 1084)
+++ trunk/cfg/3D-HEVC/NonCTC/ibp/gopCfg_IBP_3view+depth.cfg	(revision 1124)
@@ -38,15 +38,15 @@
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
-DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
-DirectRefLayers_3             : 1           # Indices in VPS of direct reference layers 
-DirectRefLayers_4             : 0 2         # Indices in VPS of direct reference layers 
-DirectRefLayers_5             : 1 3         # Indices in VPS of direct reference layers 
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0 1         # Indices in VPS of direct reference layers 
+DirectRefLayers_3             : 1 2         # Indices in VPS of direct reference layers 
+DirectRefLayers_4             : 0 1 2 3     # Indices in VPS of direct reference layers 
+DirectRefLayers_5             : 1 3 4       # Indices in VPS of direct reference layers 
 
-DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_2             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_3             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_4             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_5             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_2             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_3             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_4             : 2 2 2 2     # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_5             : 2 2 2       # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 
 
Index: trunk/cfg/3D-HEVC/NonCTC/misc/gopCfg_ILP_on_IRAP_3view+depth.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/misc/gopCfg_ILP_on_IRAP_3view+depth.cfg	(revision 1084)
+++ trunk/cfg/3D-HEVC/NonCTC/misc/gopCfg_ILP_on_IRAP_3view+depth.cfg	(revision 1124)
@@ -30,9 +30,9 @@
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
-DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
-DirectRefLayers_3             : 1           # Indices in VPS of direct reference layers 
-DirectRefLayers_4             : 0 2         # Indices in VPS of direct reference layers 
-DirectRefLayers_5             : 1 3         # Indices in VPS of direct reference layers 
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0 1         # Indices in VPS of direct reference layers 
+DirectRefLayers_3             : 1 2         # Indices in VPS of direct reference layers 
+DirectRefLayers_4             : 0 1 2 3     # Indices in VPS of direct reference layers 
+DirectRefLayers_5             : 1 3 4       # Indices in VPS of direct reference layers 
 
 DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
Index: trunk/cfg/3D-HEVC/NonCTC/misc/gopCfg_NoIv_3view+depth.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/misc/gopCfg_NoIv_3view+depth.cfg	(revision 1084)
+++ trunk/cfg/3D-HEVC/NonCTC/misc/gopCfg_NoIv_3view+depth.cfg	(revision 1124)
@@ -28,15 +28,15 @@
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
 DirectRefLayers_2             :             # Indices in VPS of direct reference layers 
-DirectRefLayers_3             :             # Indices in VPS of direct reference layers 
+DirectRefLayers_3             : 2           # Indices in VPS of direct reference layers 
 DirectRefLayers_4             :             # Indices in VPS of direct reference layers 
-DirectRefLayers_5             :             # Indices in VPS of direct reference layers 
+DirectRefLayers_5             : 4           # Indices in VPS of direct reference layers 
 
-DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 DependencyTypes_2             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_3             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_3             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 DependencyTypes_4             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_5             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_5             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 
 
Index: trunk/cfg/3D-HEVC/NonCTC/rc/baseCfg_3view+depth_rate_control.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/rc/baseCfg_3view+depth_rate_control.cfg	(revision 1084)
+++ trunk/cfg/3D-HEVC/NonCTC/rc/baseCfg_3view+depth_rate_control.cfg	(revision 1124)
@@ -62,15 +62,15 @@
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
-DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
-DirectRefLayers_3             : 1           # Indices in VPS of direct reference layers 
-DirectRefLayers_4             : 0           # Indices in VPS of direct reference layers 
-DirectRefLayers_5             : 1           # Indices in VPS of direct reference layers 
-
-DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_2             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_3             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_4             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_5             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DirectRefLayers_1             : 0            # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0 1          # Indices in VPS of direct reference layers 
+DirectRefLayers_3             : 1 2          # Indices in VPS of direct reference layers 
+DirectRefLayers_4             : 0 1          # Indices in VPS of direct reference layers 
+DirectRefLayers_5             : 1 4          # Indices in VPS of direct reference layers 
+
+DependencyTypes_1             : 2            # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_2             : 2 2          # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_3             : 2 2          # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_4             : 2 2          # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_5             : 2 2          # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 
 #========== Camera parameters ==========
@@ -252,26 +252,26 @@
 
 #========== multiview coding tools ==========
-IvMvPred                            : 1 1              # Inter-view motion prediction
-AdvMultiviewResPred                 : 1                # Advanced inter-view residual prediction (0:off, 1:on)
+IvMvPredFlag                        : 1 1              # Inter-view motion prediction
+IvResPredFlag                       : 1                # Advanced inter-view residual prediction (0:off, 1:on)
 IlluCompEnable                      : 1                # Enable Illumination compensation ( 0: off, 1: on )  (v/d)
 IlluCompLowLatencyEnc               : 0                # Enable low-latency Illumination compensation encoding( 0: off, 1: on )
-ViewSynthesisPred                   : 1                # View synthesis prediction 
-DepthRefinement                     : 1                # Disparity refined by depth DoNBDV
-IvMvScaling                         : 1                # Interview motion vector scaling
-SubPULog2Size                       : 3                # Log2 of sub-PU size for IvMvPred (2...6)
-SubPUMPILog2Size                    : 3                # Log2 of sub-PU size for MPI (3...6)
-DBBP                                : 1                # Depth-based Block Partitioning
+ViewSynthesisPredFlag               : 1                # View synthesis prediction 
+DepthRefinementFlag                 : 1                # Disparity refined by depth DoNBDV
+IvMvScalingFlag                     : 1                # Interview motion vector scaling
+Log2SubPbSizeMinus3                 : 0                # Log2 of sub-PU size minus 3 for IvMvPred (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+Log2MpiSubPbSizeMinus3              : 0                # Log2 of sub-PU size minus 3 for MPI (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+DepthBasedBlkPartFlag               : 1                # Depth-based Block Partitioning
 
 #========== depth coding tools ==========
 VSO                       : 1                                      # use of view synthesis optimization for depth coding
-DMM                                : 1
-IVP                                : 1                 # use of intra-view prediction mode
-SDC                                : 1
-DLT                                : 1
-QTL                                : 1
-LimQtPredFlag                      : 1
-InterSDC                           : 1                             # use of inter sdc
-MPI                                : 1
-SingleDepthMode                    : 1                 # use of single depth mode
+IntraWedgeFlag                      : 1
+IntraContourFlag                    : 1                 # use of intra-view prediction mode
+IntraSdcFlag                        : 1
+DLT                                 : 1
+QTL                                 : 1
+QtPredFlag                          : 1
+InterSdcFlag                        : 1                             # use of inter sdc
+MpiFlag                             : 1
+IntraSingleFlag                     : 1                 # use of single depth mode
 #========== view synthesis optimization (VSO) ==========
 VSOConfig                 : [cx0 B(cc1) I(s0.25 s0.5 s0.75)][cx1 B(oo0) B(oo2) I(s0.25 s0.5 s0.75 s1.25 s1.5 s1.75)][cx2 B(cc1) I(s1.25 s1.5 s1.75)] # VSO configuration string
Index: trunk/cfg/3D-HEVC/baseCfg_2view+depth.cfg
===================================================================
--- trunk/cfg/3D-HEVC/baseCfg_2view+depth.cfg	(revision 1084)
+++ trunk/cfg/3D-HEVC/baseCfg_2view+depth.cfg	(revision 1124)
@@ -52,11 +52,11 @@
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
-DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
-DirectRefLayers_3             : 1           # Indices in VPS of direct reference layers 
-
-DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_2             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_3             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0 1         # Indices in VPS of direct reference layers 
+DirectRefLayers_3             : 1 2         # Indices in VPS of direct reference layers 
+
+DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_2             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_3             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 
 #========== Camera parameters ==========
@@ -207,26 +207,26 @@
 
 #========== multiview coding tools ==========
-IvMvPred                            : 1 1              # Inter-view motion prediction
-AdvMultiviewResPred                 : 1                # Advanced inter-view residual prediction (0:off, 1:on)
+IvMvPredFlag                        : 1 1              # Inter-view motion prediction
+IvResPredFlag                       : 1                # Advanced inter-view residual prediction (0:off, 1:on)
 IlluCompEnable                      : 1                # Enable Illumination compensation ( 0: off, 1: on )   (v/d) 
 IlluCompLowLatencyEnc               : 0                # Enable low-latency Illumination compensation encoding( 0: off, 1: on )
-ViewSynthesisPred                   : 1                # View synthesis prediction 
-DepthRefinement                     : 1                # Disparity refined by depth DoNBDV
-IvMvScaling                         : 1                # Interview motion vector scaling
-SubPULog2Size                       : 3                # Log2 of sub-PU size for IvMvPred (2...6)
-SubPUMPILog2Size                    : 3	               # Log2 of sub-PU size for MPI (3...6)
-DBBP                                : 1                # Depth-based Block Partitioning
+ViewSynthesisPredFlag               : 1                # View synthesis prediction 
+DepthRefinementFlag                 : 1                # Disparity refined by depth DoNBDV
+IvMvScalingFlag                     : 1                # Interview motion vector scaling
+Log2SubPbSizeMinus3                 : 0                # Log2 of sub-PU size minus 3 for IvMvPred (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+Log2MpiSubPbSizeMinus3              : 3	               # Log2 of sub-PU size for MPI (3...6)
+DepthBasedBlkPartFlag               : 1                # Depth-based Block Partitioning
 
 #========== depth coding tools ==========
-VSO                                : 1                 # use of view synthesis optimization for depth coding
-DMM                                : 1
-IVP                                : 1                 # use of intra-view prediction mode
-SDC                                : 1
-DLT                                : 1
-QTL                                : 1
-LimQtPredFlag                      : 1
-InterSDC                           : 1                             # use of inter sdc
-MPI                                : 1
-SingleDepthMode                    : 1                 # use of single depth mode
+VSO                                 : 1                 # use of view synthesis optimization for depth coding
+IntraWedgeFlag                      : 1
+IntraContourFlag                    : 1                 # use of intra-view prediction mode
+IntraSdcFlag                        : 1
+DLT                                 : 1
+QTL                                 : 1
+QtPredFlag                          : 1
+InterSdcFlag                        : 1                             # use of inter sdc
+MpiFlag                             : 1
+IntraSingleFlag                     : 1                 # use of single depth mode
 #========== view synthesis optimization (VSO) ==========
 
Index: trunk/cfg/3D-HEVC/baseCfg_2view.cfg
===================================================================
--- trunk/cfg/3D-HEVC/baseCfg_2view.cfg	(revision 1084)
+++ trunk/cfg/3D-HEVC/baseCfg_2view.cfg	(revision 1124)
@@ -178,14 +178,14 @@
 
 #========== multiview coding tools ==========
-IvMvPred                            : 1                # Inter-view motion prediction
-AdvMultiviewResPred                 : 1                # Advanced inter-view residual prediction (0:off, 1:on)
+IvMvPredFlag                        : 1                # Inter-view motion prediction
+IvResPredFlag                       : 1                # Advanced inter-view residual prediction (0:off, 1:on)
 IlluCompEnable                      : 1                # Enable Illumination compensation ( 0: off, 1: on ) (v/d)
 IlluCompLowLatencyEnc               : 0                # Enable low-latency Illumination compensation encoding( 0: off, 1: on )
-ViewSynthesisPred                   : 1                # View synthesis prediction 
-DepthRefinement                     : 0                # Disparity refined by depth DoNBDV
-IvMvScaling                         : 1                # Interview motion vector scaling
-SubPULog2Size                       : 3                # Log2 of sub-PU size for IvMvPred (2...6)
-SubPUMPILog2Size                    : 3                # Log2 of sub-PU size for MPI (3...6)
-DBBP                                : 0                # Depth-based Block Partitioning
+ViewSynthesisPredFlag               : 1                # View synthesis prediction 
+DepthRefinementFlag                 : 0                # Disparity refined by depth DoNBDV
+IvMvScalingFlag                     : 1                # Interview motion vector scaling
+Log2SubPbSizeMinus3                 : 0                # Log2 of sub-PU size minus 3 for IvMvPred (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+Log2MpiSubPbSizeMinus3              : 0                # Log2 of sub-PU size minus 3 for MPI (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+DepthBasedBlkPartFlag               : 0                # Depth-based Block Partitioning
 
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
Index: trunk/cfg/3D-HEVC/baseCfg_3view+depth.cfg
===================================================================
--- trunk/cfg/3D-HEVC/baseCfg_3view+depth.cfg	(revision 1084)
+++ trunk/cfg/3D-HEVC/baseCfg_3view+depth.cfg	(revision 1124)
@@ -62,15 +62,15 @@
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
-DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
-DirectRefLayers_3             : 1           # Indices in VPS of direct reference layers 
-DirectRefLayers_4             : 0           # Indices in VPS of direct reference layers 
-DirectRefLayers_5             : 1           # Indices in VPS of direct reference layers 
-
-DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_2             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_3             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_4             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_5             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0 1         # Indices in VPS of direct reference layers 
+DirectRefLayers_3             : 1 2         # Indices in VPS of direct reference layers 
+DirectRefLayers_4             : 0 1         # Indices in VPS of direct reference layers 
+DirectRefLayers_5             : 1 4         # Indices in VPS of direct reference layers 
+
+DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_2             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_3             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_4             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_5             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 
 #========== Camera parameters ==========
@@ -240,26 +240,26 @@
 
 #========== multiview coding tools ==========
-IvMvPred                            : 1 1              # Inter-view motion prediction
-AdvMultiviewResPred                 : 1                # Advanced inter-view residual prediction (0:off, 1:on)
+IvMvPredFlag                        : 1 1              # Inter-view motion prediction
+IvResPredFlag                       : 1                # Advanced inter-view residual prediction (0:off, 1:on)
 IlluCompEnable                      : 1                # Enable Illumination compensation ( 0: off, 1: on )  (v/d)
 IlluCompLowLatencyEnc               : 0                # Enable low-latency Illumination compensation encoding( 0: off, 1: on )
-ViewSynthesisPred                   : 1                # View synthesis prediction 
-DepthRefinement                     : 1                # Disparity refined by depth DoNBDV
-IvMvScaling                         : 1                # Interview motion vector scaling
-SubPULog2Size                       : 3                # Log2 of sub-PU size for IvMvPred (2...6)
-SubPUMPILog2Size                    : 3                # Log2 of sub-PU size for MPI (3...6)
-DBBP                                : 1                # Depth-based Block Partitioning
+ViewSynthesisPredFlag               : 1                # View synthesis prediction 
+DepthRefinementFlag                 : 1                # Disparity refined by depth DoNBDV
+IvMvScalingFlag                     : 1                # Interview motion vector scaling
+Log2SubPbSizeMinus3                 : 0                # Log2 of sub-PU size minus 3 for IvMvPred (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+Log2MpiSubPbSizeMinus3              : 0                # Log2 of sub-PU size minus 3 for MPI (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+DepthBasedBlkPartFlag               : 1                # Depth-based Block Partitioning
 
 #========== depth coding tools ==========
-VSO                                : 1                 # use of view synthesis optimization for depth coding
-DMM                                : 1
-IVP                                : 1                 # use of intra-view prediction mode
-SDC                                : 1
-DLT                                : 1
-QTL                                : 1
-LimQtPredFlag                      : 1
-InterSDC                           : 1                             # use of inter sdc
-MPI                                : 1
-SingleDepthMode                    : 1                 # use of single depth mode
+VSO                                 : 1                 # use of view synthesis optimization for depth coding
+IntraWedgeFlag                      : 1
+IntraContourFlag                    : 1                 # use of intra-view prediction mode
+IntraSdcFlag                        : 1
+DLT                                 : 1
+QTL                                 : 1
+QtPredFlag                          : 1
+InterSdcFlag                        : 1                             # use of inter sdc
+MpiFlag                             : 1
+IntraSingleFlag                     : 1                 # use of single depth mode
 #========== view synthesis optimization (VSO) ==========
 VSOConfig                 : [cx0 B(cc1) I(s0.25 s0.5 s0.75)][cx1 B(oo0) B(oo2) I(s0.25 s0.5 s0.75 s1.25 s1.5 s1.75)][cx2 B(cc1) I(s1.25 s1.5 s1.75)] # VSO configuration string
Index: trunk/cfg/3D-HEVC/baseCfg_3view.cfg
===================================================================
--- trunk/cfg/3D-HEVC/baseCfg_3view.cfg	(revision 1084)
+++ trunk/cfg/3D-HEVC/baseCfg_3view.cfg	(revision 1124)
@@ -198,14 +198,14 @@
 
 #========== multiview coding tools ==========
-IvMvPred                            : 1                # Inter-view motion prediction
-AdvMultiviewResPred                 : 1                # Advanced inter-view residual prediction (0:off, 1:on)
+IvMvPredFlag                        : 1                # Inter-view motion prediction
+IvResPredFlag                       : 1                # Advanced inter-view residual prediction (0:off, 1:on)
 IlluCompEnable                      : 1                # Enable Illumination compensation ( 0: off, 1: on )   (v/d)
 IlluCompLowLatencyEnc               : 0                # Enable low-latency Illumination compensation encoding( 0: off, 1: on )
-ViewSynthesisPred                   : 1                # View synthesis prediction 
-DepthRefinement                     : 0                # Disparity refined by depth DoNBDV
-IvMvScaling                         : 1                # Interview motion vector scaling
-SubPULog2Size                       : 3                # Log2 of sub-PU size for IvMvPred (2...6)
-SubPUMPILog2Size                    : 3                # Log2 of sub-PU size for MPI (3...6)
-DBBP                                : 0                # Depth-based Block Partitioning
+ViewSynthesisPredFlag               : 1                # View synthesis prediction 
+DepthRefinementFlag                 : 0                # Disparity refined by depth DoNBDV
+IvMvScalingFlag                     : 1                # Interview motion vector scaling
+Log2SubPbSizeMinus3                 : 0                # Log2 of sub-PU size minus 3 for IvMvPred (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+Log2MpiSubPbSizeMinus3              : 0                # Log2 of sub-PU size minus 3 for MPI (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+DepthBasedBlkPartFlag               : 0                # Depth-based Block Partitioning
 
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
Index: trunk/cfg/3D-HEVC/deltaCfg_3view.cfg
===================================================================
--- trunk/cfg/3D-HEVC/deltaCfg_3view.cfg	(revision 1124)
+++ trunk/cfg/3D-HEVC/deltaCfg_3view.cfg	(revision 1124)
@@ -0,0 +1,92 @@
+#======== Legend for comments ===================== 
+# Delta compare to fullCfg.cfg
+
+
+InputFile_3                   : 
+InputFile_4                   : 
+InputFile_5                   : 
+
+ReconFile_3                   : 
+ReconFile_4                   : 
+ReconFile_5                   : 
+
+NumberOfLayers                : 3           # Number of layers
+
+ScalabilityMask               : 2           # Scalability Mask             ( 2: View Scalability, 3: View + Depth Scalability )
+DimensionIdLen                : 3           # Number of bits to store Ids,  per scalability dimension, (m)
+ViewOrderIndex                : 0 1 2       # ViewOrderIndex, per layer (m)
+
+VpsNumLayerSets               : 4            # Number of layer sets    
+LayerIdsInSet_2               : 0 2          # Indices in VPS of layers in layer set 2
+LayerIdsInSet_3               : 0 1 2        # Indices in VPS of layers in layer set 3
+LayerIdsInSet_4               : 
+
+OutputLayerSetIdx             : 1 2          # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 1            # Indices in VPS of output layers in additional output layer set 0
+LayerIdsInAddOutputLayerSet_1 : 2            # Indices in VPS of output layers in additional output layer set 1
+
+ProfileTierLevelIdx_2         : 1 2                        # VpsProfileTierLevel indices of layers in output layer set 2 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_3         : 1 2 2                      # VpsProfileTierLevel indices of layers in output layer set 3 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_4         : 1 2                        # VpsProfileTierLevel indices of layers in output layer set 4 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_5         : 1 2                        # VpsProfileTierLevel indices of layers in output layer set 5 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_6         :                            # VpsProfileTierLevel indices of layers in output layer set 6 (m) (should be -1, when layer is not necessary)
+
+DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_3             : 
+DirectRefLayers_4             :
+DirectRefLayers_5             :
+
+
+
+DependencyTypes_2             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_3             :
+DependencyTypes_4             :
+DependencyTypes_5             :
+
+    
+FrameI_l1:  P    0     3     0.442    0        0        0        1      0                        0                                  1          0         0          -1
+Frame1_l1:  B    8     4     0.442    0        0        0        4      4     -8 -10 -12 -16     0                                  1          0         1          -1
+Frame2_l1:  B    4     5     0.3536   0        0        0        3      3     -4 -6  4           1       4    5     1 1 0 0 1       1          0         1          -1
+Frame3_l1:  B    2     6     0.3536   0        0        0        3      4     -2 -4  2 6         1       2    4     1 1 1 1         1          0         1          -1
+Frame4_l1:  B    1     7     0.68     0        0        0        3      4     -1  1  3 7         1       1    5     1 0 1 1 1       1          0         1          -1
+Frame5_l1:  B    3     7     0.68     0        0        0        3      4     -1 -3  1 5         1      -2    5     1 1 1 1 0       1          0         2          -1
+Frame6_l1:  B    6     6     0.3536   0        0        0        3      4     -2 -4 -6 2         1      -3    5     1 1 1 1 0       1          0         2          -1
+Frame7_l1:  B    5     7     0.68     0        0        0        3      4     -1 -5  1 3         1       1    5     1 0 1 1 1       1          0         2          -1
+Frame8_l1:  B    7     7     0.68     0        0        0        3      4     -1 -3 -7 1         1      -2    5     1 1 1 1 0       1          0         2          -1
+
+FrameI_l3:  
+Frame1_l3:  
+Frame2_l3:  
+Frame3_l3:  
+Frame4_l3:  
+Frame5_l3:  
+Frame6_l3:  
+Frame7_l3:  
+Frame8_l3:  
+
+FrameI_l4:  
+Frame1_l4:  
+Frame2_l4:  
+Frame3_l4:  
+Frame4_l4:  
+Frame5_l4:  
+Frame6_l4:  
+Frame7_l4:  
+Frame8_l4:  
+
+FrameI_l5:  
+Frame1_l5:  
+Frame2_l5:  
+Frame3_l5:  
+Frame4_l5:  
+Frame5_l5:  
+Frame6_l5:  
+Frame7_l5:  
+Frame8_l5:  
+
+LoopFilterDisable             : 0           # Disable deblocking filter (0=Filter, 1=No Filter) (mc)
+SAO                           : 1           # Sample adaptive offset  (0: OFF, 1: ON) (mc)
+DepthRefinementFlag                 : 0                # Disparity refined by depth DoNBDV
+Log2SubPbSizeMinus3                 : 0                # Log2 of sub-PU size minus 3 for IvMvPred (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+DepthBasedBlkPartFlag               : 0                # Depth-based Block Partitioning
+
Index: trunk/cfg/3D-HEVC/fullCfg.cfg
===================================================================
--- trunk/cfg/3D-HEVC/fullCfg.cfg	(revision 1084)
+++ trunk/cfg/3D-HEVC/fullCfg.cfg	(revision 1124)
@@ -125,15 +125,15 @@
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
-DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
-DirectRefLayers_3             : 1           # Indices in VPS of direct reference layers 
-DirectRefLayers_4             : 0           # Indices in VPS of direct reference layers 
-DirectRefLayers_5             : 1           # Indices in VPS of direct reference layers 
-
-DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_2             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_3             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_4             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_5             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0 1         # Indices in VPS of direct reference layers 
+DirectRefLayers_3             : 1 2         # Indices in VPS of direct reference layers 
+DirectRefLayers_4             : 0 1         # Indices in VPS of direct reference layers 
+DirectRefLayers_5             : 1 4         # Indices in VPS of direct reference layers 
+
+DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_2             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_3             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_4             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_5             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 
 #========== Camera parameters ==========
@@ -316,26 +316,26 @@
 #NumLCUInUnit                       : 1                # Number of LCU in an Unit. Fraction is not allowed
 #========== multiview coding tools ==========
-IvMvPred                            : 1 1              # Inter-view motion prediction
-AdvMultiviewResPred                 : 1                # Advanced inter-view residual prediction (0:off, 1:on)
+IvMvPredFlag                        : 1 1              # Inter-view motion prediction
+IvResPredFlag                       : 1                # Advanced inter-view residual prediction (0:off, 1:on)
 IlluCompEnable                      : 1                # Enable Illumination compensation ( 0: off, 1: on ) (v/d)
 IlluCompLowLatencyEnc               : 0                # Enable low-latency Illumination compensation encoding( 0: off, 1: on )
-ViewSynthesisPred                   : 1                # View synthesis prediction 
-DepthRefinement                     : 1                # Disparity refined by depth DoNBDV
-IvMvScaling                         : 1                # Interview motion vector scaling
-SubPULog2Size                       : 3				   # Log2 of sub-PU size for IvMvPred (2...6)
-SubPUMPILog2Size                    : 3                # Log2 of sub-PU size for MPI (3...6)
-DBBP                                : 1                # Depth-based Block Partitioning
+ViewSynthesisPredFlag               : 1                # View synthesis prediction 
+DepthRefinementFlag                 : 1                # Disparity refined by depth DoNBDV
+IvMvScalingFlag                     : 1                # Interview motion vector scaling
+Log2SubPbSizeMinus3                 : 3				   # Log2 of sub-PU size for IvMvPred (2...6)
+Log2MpiSubPbSizeMinus3              : 0                # Log2 of sub-PU size minus 3 for MPI (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+DepthBasedBlkPartFlag               : 1                # Depth-based Block Partitioning
 
 #========== depth coding tools ==========
 VSO                       : 1                          # use of view synthesis optimization for depth coding
-DMM                                : 1
-IVP                                : 1                 # use of intra-view prediction mode
-SDC                                : 1
-DLT                                : 1
-QTL                                : 1
-LimQtPredFlag                      : 1
-InterSDC                           : 1                             # use of inter sdc
-MPI                                : 1
-SingleDepthMode                    : 1                 # use of single depth mode
+IntraWedgeFlag                      : 1
+IntraContourFlag                    : 1                 # use of intra-view prediction mode
+IntraSdcFlag                        : 1
+DLT                                 : 1
+QTL                                 : 1
+QtPredFlag                          : 1
+InterSdcFlag                        : 1                             # use of inter sdc
+MpiFlag                             : 1
+IntraSingleFlag                     : 1                 # use of single depth mode
 #========== view synthesis optimization (VSO) ==========
 VSOConfig                 : [cx0 B(cc1) I(s0.25 s0.5 s0.75)][cx1 B(oo0) B(oo2) I(s0.25 s0.5 s0.75 s1.25 s1.5 s1.75)][cx2 B(cc1) I(s1.25 s1.5 s1.75)] # VSO configuration string
